VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Kid"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Kid
Private fr_name, l_name, club_ As String
Private age_ As Integer
Private time_ As Single
'-------------------------------------
Public Sub init(ByVal line As String)
  Dim lnum As String
  Dim tok As New Tokenizer
  tok.init (line)
        
  lnum = tok.nextToken()
  fr_name = tok.nextToken()
  l_name = tok.nextToken()
  age_ = Val(tok.nextToken())
  club_ = tok.nextToken()
  time_ = Val(tok.nextToken)
End Sub
'-------------------------------
Public Function getData(ByVal key As Integer) As String
  Dim pvar As New ParseVar
  Select Case key
    Case pvar.FRNAME
      getData = fr_name
    Case pvar.LNAME
      getData = l_name
    Case pvar.CLUB
      getData = club_
    Case pvar.AGE
      getData = age_
    Case pvar.TIME
      getData = time_
    Case Else
      getData = ""
  End Select
End Function
'--------------------------------
Public Function getAge() As Integer
  getAge = age_
End Function
    
Public Function getTime() As Single
  getTime = time_
End Function

Public Function getFrname() As String
  getFrname = fr_name
End Function
    
Public Function getLname() As String
  getLname = l_name
End Function
    
Public Function getClub() As String
  getClub = club_
End Function
